Loading...
Searching...
No Matches
DistributeShifts.h File Reference

A tool to distribute shifts as multiplies, useful for some backends. More...

`#include "IR.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::distribute_shifts (const Stmt &stmt, bool multiply_adds)

## Detailed Description

A tool to distribute shifts as multiplies, useful for some backends.

(e.g. ARM, HVX).

Definition in file DistributeShifts.h.